﻿using ProjectPolyclinic.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPolyclinic.Entities;

public class Visiting
{
    public int Id { get; private set; }
    public int DoctorId { get; private set; }
    public int PatientId { get; private set; }
    public DiagnosisName DiagnosisName { get; private set; }
    public DateTime VisitingTime { get; private set; }
    public IEnumerable<Medicines_Visiting> Medicines
    {
        get;
        private set;
    } = [];
    public static Visiting CreateOperation(int id, int doctorId, int patientId, DiagnosisName diagnosisName, DateTime visitingTime, IEnumerable<Medicines_Visiting> medicines)
    {
        return new Visiting
        {
            Id = id,
            DoctorId = doctorId,
            PatientId = patientId,
            DiagnosisName = diagnosisName,
            VisitingTime = DateTime.Now,
            Medicines = medicines
        };
    }
    public static Visiting CreateOperation(TempMedicines_Visiting tempMedicines_Visiting, IEnumerable<Medicines_Visiting> medicines)
    {
        return new Visiting
        {
            Id = tempMedicines_Visiting.Id,
            DoctorId = tempMedicines_Visiting.DoctorId,
            PatientId = tempMedicines_Visiting.PatientId,
            DiagnosisName = tempMedicines_Visiting.DiagnosisName,
            VisitingTime = tempMedicines_Visiting.VisitingTime,
            Medicines = medicines
        };
    }
}
